as.matrix.Gene {galgo} | R Documentation

## Converts the gene parameters (shape1, shape2) to matrix

### Description

Converts the gene parameters (shape1, shape2) to matrix. It is suitable to bind rows for many genes (like in a chromosome).

### Usage

    ## S3 method for class 'Gene'
    as.matrix(x, ...)

### Value

Returns a one-row matrix containig id, shape1, and shape2.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Gene`, `Chromosome`

### Examples

      ge <- Gene(shape1=1, shape2=100)
      ge
      as.matrix(ge)

[Package galgo version 1.4 Index]